package xamora.gp_dbc.proxy;

import cpw.mods.fml.common.FMLCommonHandler;
import cpw.mods.fml.common.event.FMLInitializationEvent;
import cpw.mods.fml.common.event.FMLPostInitializationEvent;
import cpw.mods.fml.common.event.FMLPreInitializationEvent;
import xamora.gp_dbc.Main;
import xamora.gp_dbc.config.ConfigManager;
import xamora.gp_dbc.system.Handcuff;
import xamora.gp_dbc.system.JailEvent;
import net.minecraftforge.common.MinecraftForge;

public class ServerProxy extends CommonProxy{	

    public void preInit(FMLPreInitializationEvent $e) {
    	super.preInit($e);

        FMLCommonHandler.instance().bus().register(new ConfigManager());

        JailEvent jailEvent = new JailEvent();
        FMLCommonHandler.instance().bus().register(jailEvent);
        MinecraftForge.EVENT_BUS.register(jailEvent);

        FMLCommonHandler.instance().bus().register(Main.gp);
        MinecraftForge.EVENT_BUS.register(Main.gp);

        Handcuff handcuff = new Handcuff();
        FMLCommonHandler.instance().bus().register(handcuff);
        MinecraftForge.EVENT_BUS.register(handcuff);

        FMLCommonHandler.instance().bus().register(Main.gp.criminals);
        MinecraftForge.EVENT_BUS.register(Main.gp.criminals);

        ConfigManager.init($e.getModConfigurationDirectory().toString());
    }

    public void init(FMLInitializationEvent $e) {
    	super.init($e);
    }
    
    public void postInit(FMLPostInitializationEvent $e) {
    	super.postInit($e);
    }

}
