package xamora.gp_dbc.utils;

import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.util.MovingObjectPosition;
import net.minecraft.util.Vec3;

public class RayTrace {
    public static MovingObjectPosition rayTraceServer(EntityPlayer player, double range) {
        Vec3 pos = Vec3.createVectorHelper(player.posX, player.posY + player.getEyeHeight(), player.posZ);
        Vec3 look = player.getLookVec(); //this.getLookServer(player, partialTickTime);
        Vec3 looked = pos.addVector(look.xCoord * range, look.yCoord * range, look.zCoord * range);

        return player.worldObj.rayTraceBlocks(pos, looked);
    }
}
